// Section 15,  Question 15
#include <iostream>

using std::cout;
using std::endl;

int add1ByValue( int );
void add1ByReference( int & );
void add1ByPointer( int * );

int main()
{
	int count;
	int *countPtr;

	count =10;
	countPtr = &count;

	cout << "count = " << count << " before add1ByValue\n"
		<< "Value returned by add1ByValue = "
		<< add1ByValue( count ) << endl
		<< "count = " << count << " after add1ByValue\n" << endl;

	count = 10;
	cout << "count = " << count << " before add1ByReference" << endl;
	add1ByReference( count );
	cout << "count = " << count << " after add1ByReference\n" << endl;

	count = 10;
	cout << "count = " << count << " before add1ByPointer" << endl;
	add1ByPointer( countPtr );
	cout << "count = " << count << " after add1ByPointer" << endl;

	return 0;
}

int add1ByValue( int a )
{
	return a += 1;
}

void add1ByReference( int &cRef )
{
	cRef += 1;
}

void add1ByPointer( int *cPtr )
{
	*cPtr += 1;
}
