// Section 15, Question 20
// Writing a template and a Preprocessor Macro
#include <iostream>
// Preprocessor Macro called MAX
#define MAX(v1,v2,v3) (v1>v2)?((v1>v3)?(v1):(v3)):((v2>v3)?(v2):(v3)) 

using std::cout;
using std::cin;
using std::endl;

// Template function called maximum
template < class T >
T maximum( T v1, T v2, T v3 )
{
	T max = v1;

	if ( v2 > max )
		max = v2;

	if (v3 > max )
		max = v3;

	return max;
}

int main()
{
	int int1, int2, int3, result_int;

	cout << "Input three integers: ";
	cin >> int1 >> int2 >> int3;
	cout << "The maximum integer value (using template function): "
		<< maximum( int1, int2, int3);
	cout << "\nThe maximum integer value (using preprocessor macro): ";
	result_int = MAX( int1, int2, int3 );
	cout << result_int << endl;

	float f1, f2, f3, result_float;

	cout << "\nInput three floating point numbers: ";
	cin >> f1 >> f2 >> f3;
	cout << "The maximum floating point value (using template function): "
		<< maximum( f1, f2, f3);
	cout << "\nThe maximum floating point value (using preprocessor macro): ";
	result_float = MAX( f1, f2, f3 );
	cout << result_float << endl;

	char c1, c2, c3, result_char;

	cout << "\nInput three characters: ";
	cin >> c1 >> c2 >> c3;
	cout << "The maximum character value (using template function): "
		<< maximum( c1, c2, c3);
	cout << "\nThe maximum character value (using preprocessor macro): ";
	result_char = MAX( c1, c2, c3 );
	cout << result_char << endl;

	return 0;
}