/* Section 7, Question 7.19.b */
#include <stdio.h>
#define SIZE 20

int main()
{
	int accumulator = 0;
	int instCounter = 0;
	int instRegister = 0;
	int opCode = 0;
	int operand = 0;
	int m[ SIZE ] = { 0 };
	int location, number;
	char fileName[ 10 ];
	FILE *cfPtr;

	printf( "  ******** Welcome to Simpletron ! ********\n" );
	printf( "*** Enter the name of the SML program file ***\n" );
	printf( "\nSML program file: " );
	gets( fileName );
		
	if ( ( cfPtr = fopen( fileName, "r" ) ) == NULL )	/* Opens SML file to read */
		printf( "File could not be opened\n" );
	else {
		fscanf( cfPtr, "%d%d", &location, &number );	/* Reads SML file sequentially */
		
		m[location] = number;
		
		while ( !feof( cfPtr ) ) {
			fscanf( cfPtr, "%d%d", &location, &number );
			m[location] = number;
		}

		while ( instCounter <= 19 ) {
			instRegister = m[ instCounter ];
			opCode = instRegister / 100;
			operand = instRegister % 100;

			if ( opCode == 10 ) {			/* Read operation */
				printf( "\nEnter a four-digit decimal number." );
				scanf( "%d", &m[ operand ] );
				if ( ( m[ operand ] < -9999 ) | ( m[ operand ] > 9999 ) ) {		/* Tests if the entered number is out of range */
					printf( "\nYour number is out of range." );
					printf( "\nPlease enter a number in a range from -9999 to +9999" );
					instCounter = instCounter - 1;
				}
			}

			else if ( opCode == 11 ) {		/* Write operation */
				if ( m[ operand ] > 9999 ) {
					printf( "\n\n*** Aritmetic Operation Value is larger than +9999 ***" );
					printf( "\n***** Simpletron execution abnormally terminated *****\n\n" );
					instCounter = 15;
				}

				if ( m[ operand ] < -9999 ) {
					printf( "\n\n*** Aritmetic Operation Value is smaller than -9999 ***" );
					printf( "\n***** Simpletron execution abnormally terminated *****\n\n" );
					instCounter = 15;
				}

				else
					printf( "\nThe average of seven numbers: %d.", m[ operand ] );
			}

			else if ( opCode == 20 )		/* Load operation */
				accumulator = m[ operand ];

			else if ( opCode == 21 )		/* Store operation */
				m[ operand ] = accumulator;

			else if ( opCode == 30 )		/* Add operation */
				accumulator += m[ operand ];

			else if ( opCode == 31 )		/* Subtarct operation */
				accumulator -= m[ operand ];

			else if ( opCode == 32 )		/* Divide operation */
				accumulator = m[ operand ] / accumulator;

			else if ( opCode == 33 )		/* Multiply operation */
				accumulator = accumulator * m[ operand ];

			else if ( opCode == 40 )		/* Branch operation */
				instCounter = operand - 1;

			else if ( opCode == 41 ) {		/* Branchneg operation */
				if ( accumulator < 0 )
					instCounter = operand - 1;
			}

			else if ( opCode == 42 ) {		/* Branchzero operation */
				if ( accumulator == 0 )
					instCounter = operand - 1;
			}

			else if ( opCode == 43 )		/* Halt operation */
				printf( "\n\n*** Simpletron execution terminated ***\n" );

			instCounter++;
		}
	}

	return 0;
}